Index: src/translator_sv.h
===================================================================
--- src/translator_sv.h	(revision 0)
+++ src/translator_sv.h	(revision 0)
@@ -0,0 +1,1764 @@
+/*-*- c-basic-offset: 2; tab-width: 8 -*-*/
+/******************************************************************************
+ *
+ *
+ *
+ *
+ * Copyright (C) 1997-2008 by Dimitri van Heesch.
+ * Copyright (C) 2009 by Stefan björnelund.
+ *
+ * Permission to use, copy, modify, and distribute this software and its
+ * documentation under the terms of the GNU General Public License is hereby
+ * granted. No representations are made about the suitability of this software
+ * for any purpose. It is provided "as is" without express or implied warranty.
+ * See the GNU General Public License for more details.
+ *
+ * Documents produced by Doxygen are derivative works derived from the
+ * input used in their production; they are not affected by this license.
+ *
+ */
+
+/*
+ * Swedish translation by
+ * Stefan Björnelund <stefanb+docygen@update.uu.se>
+ * Partly based on the Danish translation by Erik Søe Sørensen.
+ *
+ * First version (not complete) for Doxygen 1.5.8_20090129
+ * Extended and revised for Doxygen 1.5.8_20090130
+ */
+
+/*  Translator's notes:
+
+	Översättningskonventioner:
+	(Konventioner for konventioner:
+	  '?'    anger oversättningar, jag har varit i tveksam till
+	  '??'   anger tvivelaktiga oversättningar
+	  '..?'  anger ord, der ännnu icke är funderat på en oversättning til
+ 	  '(do.)' anger ord, där som medevetet ej är oversatta,
+                  då det engenlsak orde är allmönt använt
+	  '(-> _)' anger ord, som jag fundet på en oversättngt till, men som jag
+	          är osäker på vad det ska översättas till.
+	)
+	bug -> 'känt fel'
+	class -> klass
+	compound -> 'klass' ?
+	constructor -> konstruktör ?
+	destructor -> destruktor ??
+	directory -> KLID:katalog (kunne også være 'bibliotek','mappe','folder')
+	enumeration -> Uppräkning
+	event -> händelse ?
+	exception (-> undantag ?)
+	friend ..? vän
+	interface -> gränssnitt
+	member -> medlem
+	namespace -> namnrymd
+	overloaded -> överdefinierade ??
+	private -> privat
+	property -> egenskp ?
+	protected -> skyddad ?
+	public -> publik
+	reference(vb) -> "innehåller referenser till" (?)
+	slot -> fack ??
+	source code -> källkod
+	struct -> datastruktur
+	template -> mall ?
+	typedef -> typedefinition (?)
+	todo -> att göra
+	union ..?
+
+	Specielle forbindelser:
+	'Inheritance diagram' -> Stamtræ  (selvom Nedarvningsdiagram også gik an)
+
+
+	-----
+
+	(Konstruktiv) kritik mottages med tacksamt!
+	-- Stefan Björnelund <stefanb+docygen@update.uu.se>
+ */
+
+#ifndef TRANSLATOR_SV_H
+#define TRANSLATOR_SV_H
+
+class TranslatorSwedish : public Translator
+{
+  public:
+
+    // --- Language control methods -------------------
+
+    /*! Used for identification of the language. The identification
+     * should not be translated. It should be replaced by the name
+     * of the language in English using lower-case characters only
+     * (e.g. "czech", "japanese", "russian", etc.). It should be equal to
+     * the identification used in language.cpp.
+     */
+    virtual QCString idLanguage()
+    { return "swedish"; }
+
+    /*! Used to get the LaTeX command(s) for the language support.
+     *  This method should return string with commands that switch
+     *  LaTeX to the desired language.  For example
+     *  <pre>"\\usepackage[german]{babel}\n"
+     *  </pre>
+     *  or
+     *  <pre>"\\usepackage{polski}\n"
+     *  "\\usepackage[latin2]{inputenc}\n"
+     *  "\\usepackage[T1]{fontenc}\n"
+     *  </pre>
+     */
+    virtual QCString latexLanguageSupportCommand()
+    {
+      return
+	"\\usepackage[swedish]{babel}\n"
+	"\\usepackage[T1]{fontenc}\n";
+    }
+
+    /*! return the language charset. This will be used for the HTML output */
+    virtual QCString idLanguageCharset()
+    {
+      return "iso-8859-1";
+    }
+
+    // --- Language translation methods -------------------
+
+    /*! used in the compound documentation before a list of related functions. */
+    virtual QCString trRelatedFunctions()
+    { return "Relaterede funktioner"; }
+
+    /*! subscript for the related functions. */
+    virtual QCString trRelatedSubscript()
+    { return "(Notera att dessa inte är medlems-funktioner.)"; }
+
+    /*! header that is put before the detailed description of files, classes and namespaces. */
+    virtual QCString trDetailedDescription()
+    { return "Detaljerad beskrivning"; }
+
+    /*! header that is put before the list of typedefs. */
+    virtual QCString trMemberTypedefDocumentation()
+    { return "Dokumentation av medlems-typdefinitioner"; }
+
+    /*! header that is put before the list of enumerations. */
+    virtual QCString trMemberEnumerationDocumentation()
+    { return "Dokumentation av medlems-uppräkningar"; } // ***FIXME*** Tvivelaktig översättning.
+
+    /*! header that is put before the list of member functions. */
+    virtual QCString trMemberFunctionDocumentation()
+    { return "Dokumentation av medlemsfunktioner"; }
+
+    /*! header that is put before the list of member attributes. */
+    virtual QCString trMemberDataDocumentation()
+    {
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+        return "Fält-dokumentation";
+      } else {
+	return "Dokumentation av medlemsvariabler";
+      }
+    }
+
+    /*! this is the text of a link put after brief descriptions. */
+    virtual QCString trMore()
+    { return "Mer..."; }
+
+    /*! put in the class documentation */
+    virtual QCString trListOfAllMembers()
+    { return "Lista på alla medlemmar."; }
+
+    /*! used as the title of the "list of all members" page of a class */
+    virtual QCString trMemberList()
+    { return "Medlemslista"; }
+
+    /*! this is the first part of a sentence that is followed by a class name */
+    virtual QCString trThisIsTheListOfAllMembers()
+    { return "Detta är en komplett lista på medlemmer i "; }
+
+    /*! this is the remainder of the sentence after the class name */
+    virtual QCString trIncludingInheritedMembers()
+    { return ", inklusive alla nedärvda medlemmar."; }
+
+    /*! this is put at the author sections at the bottom of man pages.
+     *  parameter s is name of the project name.
+     */
+    virtual QCString trGeneratedAutomatically(const char *s)
+    { QCString result="Automatiskt genererat av Doxygen";
+      if (s) result+=(QCString)" for "+s;
+      result+=" utifrån källkoden.";
+      return result;
+    }
+
+    /*! put after an enum name in the list of all members */
+    virtual QCString trEnumName()
+    { return "uppräkningsnamn"; } // ***FIXME*** Tvivelaktig översättning.
+
+    /*! put after an enum value in the list of all members */
+    virtual QCString trEnumValue()
+    { return "uppräkningsvärde"; } // ***FIXME*** Tvivelaktig översättning.
+
+    /*! put after an undocumented member in the list of all members */
+    virtual QCString trDefinedIn()
+    { return "definierat i"; }
+
+    // quick reference sections
+
+    /*! This is put above each page as a link to the list of all groups of
+     *  compounds or files (see the \\group command).
+     */
+    virtual QCString trModules()
+    { return "Moduler"; }
+
+    /*! This is put above each page as a link to the class hierarchy */
+    virtual QCString trClassHierarchy()
+    { return "Klasshierarki"; }
+
+    /*! This is put above each page as a link to the list of annotated classes */
+    virtual QCString trCompoundList()
+    {
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+        return "Datastrukturer";
+      } else {
+        return "Klasslista";
+      }
+    }
+
+    /*! This is put above each page as a link to the list of documented files */
+    virtual QCString trFileList()
+    { return "Fillista"; }
+
+    /*! This is put above each page as a link to all members of compounds. */
+    virtual QCString trCompoundMembers()
+    {
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+        return "Data-fält";
+      } else {
+        return "Klassmedlemmar";
+      }
+    }
+
+    /*! This is put above each page as a link to all members of files. */
+    virtual QCString trFileMembers()
+    {
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+        return "Globala symboler";
+      } else {
+	return "Placering i filer"; // Fil-medlemmer"; //TODO
+      }
+    }
+
+    /*! This is put above each page as a link to all related pages. */
+    virtual QCString trRelatedPages()
+    { return "Relaterade sidor"; }
+
+    /*! This is put above each page as a link to all examples. */
+    virtual QCString trExamples()
+    { return "Exempel"; }
+
+    /*! This is put above each page as a link to the search engine. */
+    virtual QCString trSearch()
+    { return "Sök"; }
+
+    /*! This is an introduction to the class hierarchy. */
+    virtual QCString trClassHierarchyDescription()
+    { return "Denna arvslista är grovt sorterad - "
+             "men inte nödvändigtvis helt alfabetiskt:";
+    }
+
+    /*! This is an introduction to the list with all files. */
+    virtual QCString trFileListDescription(bool extractAll)
+    {
+      QCString result="Här är en lista av alla ";
+      if (!extractAll) result+="dokumenterade ";
+      result+="filer med korta beskrivningar:";
+      return result;
+    }
+
+    /*! This is an introduction to the annotated compound list. */
+    virtual QCString trCompoundListDescription()
+    {
+
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+        return "Här är datastrukturerna med korta beskrivningar:";
+      } else {
+        return "Her är klasserna, datastrukturerna, "
+               "unionerna och gränssnittena med korta beskrivningar:";
+      }
+    }
+
+    /*! This is an introduction to the page with all class members. */
+    virtual QCString trCompoundMembersDescription(bool extractAll)
+    {
+      QCString result="Här är en lista av alla ";
+      if (!extractAll) {
+        result+="dokumenterade ";
+      }
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+        result+="fält i datastrukturerna och unioner";
+      } else {
+        result+="klassmedlemmer";
+      }
+      result+=" med länkar till ";
+      if (!extractAll) {
+        if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+          result+="datastruktur/unions-dokumentationen for varje fält:";
+        } else {
+          result+="klassdokumentationen för varje medlem:";
+        }
+      } else {
+        if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+          result+="datastrukturerna/unionerna, som de hör till:";
+        } else {
+          result+="de klasserna, de hör till:";
+        }
+      }
+      return result;
+    }
+
+    /*! This is an introduction to the page with all file members. */
+    virtual QCString trFileMembersDescription(bool extractAll)
+    {
+      QCString result="Här är en lista av alla ";
+      if (!extractAll) result+="dokumenterade ";
+
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+        result+="funktioner, variabler, defines, "
+	  "uppräkningar och typdeklarationer"  // ***FIXME*** Tvivelaktig översättning.
+      } else {
+        result+="fil-medlemmer";
+      }
+      result+=", med länkar till ";
+      if (extractAll)
+        result+="de filer, de tilhör:";
+      else
+        result+="deras dokumentation:";
+      return result;
+    }
+
+    /*! This is an introduction to the page with the list of all examples */
+    virtual QCString trExamplesDescription()
+    { return "Här är en lista av alla exempel:"; }
+
+    /*! This is an introduction to the page with the list of related pages */
+    virtual QCString trRelatedPagesDescription()
+    { return "Här är en lista av alla relaterade dokumentationssidor:"; }
+
+    /*! This is an introduction to the page with the list of class/file groups */
+    virtual QCString trModulesDescription()
+    { return "Här är en lista av alla moduler:"; }
+
+    /*! This is used in HTML as the title of index.html. */
+    virtual QCString trDocumentation()
+    { return "Dokumentation"; }
+
+    /*! This is used in LaTeX as the title of the chapter with the
+     * index of all groups.
+     */
+    virtual QCString trModuleIndex()
+    { return "Modul-index"; }
+
+    /*! This is used in LaTeX as the title of the chapter with the
+     * class hierarchy.
+     */
+    virtual QCString trHierarchicalIndex()
+    { return "Hierarkiskt index"; }
+
+    /*! This is used in LaTeX as the title of the chapter with the
+     * annotated compound index.
+     */
+    virtual QCString trCompoundIndex()
+    {
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+        return "Index av datastrukturer";
+      } else {
+        return "Index av klasser";
+      }
+    }
+
+    /*! This is used in LaTeX as the title of the chapter with the
+     * list of all files.
+     */
+    virtual QCString trFileIndex()
+    { return "Fil-index"; }
+
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all groups.
+     */
+    virtual QCString trModuleDocumentation()
+    { return "Modul-dokumentation"; }
+
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all classes, structs and unions.
+     */
+    virtual QCString trClassDocumentation()
+    {
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+        return "Datastruktur-dokumentation";
+      } else {
+        return "Klass-dokumentation";
+      }
+    }
+
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all files.
+     */
+    virtual QCString trFileDocumentation()
+    { return "Fil-dokumentation"; }
+
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all examples.
+     */
+    virtual QCString trExampleDocumentation()
+    { return "Exempel-dokumentation"; }
+
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all related pages.
+     */
+    virtual QCString trPageDocumentation()
+    { return "Sie-dokumentation"; }
+
+    /*! This is used in LaTeX as the title of the document */
+    virtual QCString trReferenceManual()
+    { return "Referensmanual"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of defines
+     */
+    virtual QCString trDefines()
+    { return "Defines"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of function prototypes
+     */
+    virtual QCString trFuncProtos()
+    { return "Funktionsprototyper"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of typedefs
+     */
+    virtual QCString trTypedefs()
+    { return "Typdefinitioner"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of enumerations
+     */
+    virtual QCString trEnumerations()
+    { return "Uppräkningar"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of (global) functions
+     */
+    virtual QCString trFunctions()
+    { return "Funktioner"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of (global) variables
+     */
+    virtual QCString trVariables()
+    { return "Variabel"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of (global) variables
+     */
+    virtual QCString trEnumerationValues()
+    { return "Uppräkningsvärden"; }
+
+    /*! This is used in the documentation of a file before the list of
+     *  documentation blocks for defines
+     */
+    virtual QCString trDefineDocumentation()
+    { return "Define-dokumentation"; }
+
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for function prototypes
+     */
+    virtual QCString trFunctionPrototypeDocumentation()
+    { return "Dokumentation af funktionsprototyper"; }
+
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for typedefs
+     */
+    virtual QCString trTypedefDocumentation()
+    { return "Dokumentation af typedefinitioner"; }
+
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for enumeration types
+     */
+    virtual QCString trEnumerationTypeDocumentation()
+    { return "Dokumentation av uppräkningstyper"; }
+
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for enumeration values
+     */
+    virtual QCString trEnumerationValueDocumentation()
+    { return "Dokumentation av uppräkningsvärden"; }
+
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for functions
+     */
+    virtual QCString trFunctionDocumentation()
+    { return "Funktions-dokumentation"; }
+
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for variables
+     */
+    virtual QCString trVariableDocumentation()
+    { return "Variabel-dokumentation"; }
+
+    /*! This is used in the documentation of a file/namespace/group before
+     *  the list of links to documented compounds
+     */
+    virtual QCString trCompounds()
+    {
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+        return "Datastrukturer";
+      } else {
+        return "Klasser";
+      }
+    }
+
+    /*! This is used in the standard footer of each page and indicates when
+     *  the page was generated
+     */
+    virtual QCString trGeneratedAt(const char *date,const char *projName)
+    {
+      QCString result=(QCString)"Genererad "+date;
+      if (projName) result+=(QCString)" for "+projName;
+      result+=(QCString)" av";
+      return result;
+    }
+    /*! This is part of the sentence used in the standard footer of each page.
+     */
+    virtual QCString trWrittenBy()
+    { return "skrivet av"; }
+
+    /*! this text is put before a class diagram */
+    virtual QCString trClassDiagram(const char *clName)
+    {
+      return (QCString)"Stamtavla för "+clName+":";
+    }
+
+    /*! this text is generated when the \\internal command is used. */
+    virtual QCString trForInternalUseOnly()
+    { return "Endast för internt bruk."; }
+
+    /*! this text is generated when the \\warning command is used. */
+    virtual QCString trWarning()
+    { return "Varning"; }
+
+    /*! this text is generated when the \\version command is used. */
+    virtual QCString trVersion()
+    { return "Version"; }
+
+    /*! this text is generated when the \\date command is used. */
+    virtual QCString trDate()
+    { return "Datum"; }
+
+    /*! this text is generated when the \\return command is used. */
+    virtual QCString trReturns()
+    { return "Returnerar"; }
+
+    /*! this text is generated when the \\sa command is used. */
+    virtual QCString trSeeAlso()
+    { return "Se också"; }
+
+    /*! this text is generated when the \\param command is used. */
+    virtual QCString trParameters()
+    { return "Parameter"; }
+
+    /*! this text is generated when the \\exception command is used. */
+    virtual QCString trExceptions()
+    { return "Exceptions"; }
+
+    /*! this text is used in the title page of a LaTeX document. */
+    virtual QCString trGeneratedBy()
+    { return "Genererat av"; }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 0.49-990307
+//////////////////////////////////////////////////////////////////////////
+
+    /*! used as the title of page containing all the index of all namespaces. */
+    virtual QCString trNamespaceList()
+    { return "Oversikt av namnrymder"; }
+
+    /*! used as an introduction to the namespace list */
+    virtual QCString trNamespaceListDescription(bool extractAll)
+    {
+      QCString result="Här 'r en lista av alla ";
+      if (!extractAll) result+="dokumenterade ";
+      result+="namnrymds med korta beskrivningar:";
+      return result;
+    }
+
+    /*! used in the class documentation as a header before the list of all
+     *  friends of a class
+     */
+    virtual QCString trFriends()
+    { return "Vänner"; }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 0.49-990405
+//////////////////////////////////////////////////////////////////////////
+
+    /*! used in the class documentation as a header before the list of all
+     * related classes
+     */
+    virtual QCString trRelatedFunctionDocumentation()
+    { return "Dokumentation av vänner och av relaterade funktioner"; }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 0.49-990425
+//////////////////////////////////////////////////////////////////////////
+
+    /*! used as the title of the HTML page of a class/struct/union */
+    virtual QCString trCompoundReference(const char *clName,
+                                    ClassDef::CompoundType compType,
+                                    bool isTemplate)
+    {
+      QCString result=(QCString)clName;
+      switch(compType)
+      {
+        case ClassDef::Class:      result+=" Klass-"; break;
+        case ClassDef::Struct:     result+=" Datastrukturer-"; break;
+        case ClassDef::Union:      result+=" Unioner-"; break;
+        case ClassDef::Interface:  result+=" Gränssnitt-"; break;
+        case ClassDef::Protocol:   result+=" Protokoll-"; break;
+        case ClassDef::Category:   result+=" Kategorier-"; break;
+        case ClassDef::Exception:  result+=" Undantag-"; break;
+      }
+      if (isTemplate) result+="mall-";
+      result+="referenser";
+      return result;
+    }
+
+    /*! used as the title of the HTML page of a file */
+    virtual QCString trFileReference(const char *fileName)
+    {
+      QCString result=fileName;
+      result+=" filreferenser";
+      return result;
+    }
+
+    /*! used as the title of the HTML page of a namespace */
+    virtual QCString trNamespaceReference(const char *namespaceName)
+    {
+      QCString result=namespaceName;
+      result+=" namnrymds-referenser";
+      return result;
+    }
+
+    virtual QCString trPublicMembers()
+    { return "Publika metoder"; }
+    virtual QCString trPublicSlots()
+    { return "Publika fack"; }
+    virtual QCString trSignals()
+    { return "Signaler"; }
+    virtual QCString trStaticPublicMembers()
+    { return "Statiske, offentlige metoder"; }
+    virtual QCString trProtectedMembers()
+    { return "Skyddade metoder"; }
+    virtual QCString trProtectedSlots()
+    { return "Skyddade fack"; }
+    virtual QCString trStaticProtectedMembers()
+    { return "Statiska, skyddade metoder"; }
+    virtual QCString trPrivateMembers()
+    { return "Privata metoder"; }
+    virtual QCString trPrivateSlots()
+    { return "Privata fack"; }
+    virtual QCString trStaticPrivateMembers()
+    { return "Statiska, privata metoder"; }
+
+    /*! this function is used to produce a comma-separated list of items.
+     *  use generateMarker(i) to indicate where item i should be put.
+     */
+    virtual QCString trWriteList(int numEntries)
+    {
+      QCString result;
+      int i;
+      // the inherits list contain `numEntries' classes
+      for (i=0;i<numEntries;i++)
+      {
+        // use generateMarker to generate placeholders for the class links!
+        result+=generateMarker(i); // generate marker for entry i in the list
+                                   // (order is left to right)
+
+        if (i!=numEntries-1)  // not the last entry, so we need a separator
+        {
+          if (i<numEntries-2) // not the fore last entry
+            result+=", ";
+          else                // the fore last entry
+            result+=", och ";
+        }
+      }
+      return result;
+    }
+
+    /*! used in class documentation to produce a list of base classes,
+     *  if class diagrams are disabled.
+     */
+    virtual QCString trInheritsList(int numEntries)
+    {
+      return "Ärver "+trWriteList(numEntries)+".";
+    }
+
+    /*! used in class documentation to produce a list of super classes,
+     *  if class diagrams are disabled.
+     */
+    virtual QCString trInheritedByList(int numEntries)
+    {
+      return "Ärver av "+trWriteList(numEntries)+".";
+    }
+
+    /*! used in member documentation blocks to produce a list of
+     *  members that are hidden by this one.
+     */
+    virtual QCString trReimplementedFromList(int numEntries)
+    {
+      return "överrider metoden i "+trWriteList(numEntries)+".";
+    }
+
+    /*! used in member documentation blocks to produce a list of
+     *  all member that overwrite the implementation of this member.
+     */
+    virtual QCString trReimplementedInList(int numEntries)
+    {
+      return "Omimplementerat i "+trWriteList(numEntries)+".";
+    }
+
+    /*! This is put above each page as a link to all members of namespaces. */
+    virtual QCString trNamespaceMembers()
+    { return "Namnrymds-medlemmer"; }
+
+    /*! This is an introduction to the page with all namespace members */
+    virtual QCString trNamespaceMemberDescription(bool extractAll)
+    {
+      QCString result="Här är en lista av alla ";
+      if (!extractAll) result+="dokumenterade ";
+      result+="namnrymds-medlemmar med länkar till ";
+      if (extractAll)
+        result+="namnrymds-dokumentationen för varje medlem:";
+      else
+        result+="namnrymderna, de tillhör:";
+      return result;
+    }
+    /*! This is used in LaTeX as the title of the chapter with the
+     *  index of all namespaces.
+     */
+    virtual QCString trNamespaceIndex()
+    { return "Namnrymds-index"; }
+
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all namespaces.
+     */
+    virtual QCString trNamespaceDocumentation()
+    { return "Namnrymds-dokumentation"; }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 0.49-990522
+//////////////////////////////////////////////////////////////////////////
+
+    /*! This is used in the documentation before the list of all
+     *  namespaces in a file.
+     */
+    virtual QCString trNamespaces()
+    { return "Namnrymds"; }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 0.49-990728
+//////////////////////////////////////////////////////////////////////////
+
+    /*! This is put at the bottom of a class documentation page and is
+     *  followed by a list of files that were used to generate the page.
+     */
+    virtual QCString trGeneratedFromFiles(ClassDef::CompoundType compType,
+        bool single)
+    { // single is true implies a single file
+      QCString result=(QCString)"Dokumentationen för denna ";
+      switch(compType)
+      {
+        case ClassDef::Class:      result+="denna klass"; break;
+        case ClassDef::Struct:     result+="denna datastruktur"; break;
+        case ClassDef::Union:      result+="denna union"; break;
+        case ClassDef::Interface:  result+="detta gränssnitt"; break;
+        case ClassDef::Protocol:   result+="detta protokoll"; break;
+        case ClassDef::Category:   result+="denna kategori"; break;
+        case ClassDef::Exception:  result+="detta undantag"; break;
+      }
+      result+=" blev genererat utifrån fil";
+      if (single) result+="en:"; else result+="erna:";
+      return result;
+    }
+
+    /*! This is in the (quick) index as a link to the alphabetical compound
+     * list.
+     */
+    virtual QCString trAlphabeticalList()
+    { return "Alfabetisk lista"; }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 0.49-990901
+//////////////////////////////////////////////////////////////////////////
+
+    /*! This is used as the heading text for the retval command. */
+    virtual QCString trReturnValues()
+    { return "Returvärde"; }
+
+    /*! This is in the (quick) index as a link to the main page (index.html)
+     */
+    virtual QCString trMainPage()
+    { return "Huvudsida"; }
+
+    /*! This is used in references to page that are put in the LaTeX
+     *  documentation. It should be an abbreviation of the word page.
+     */
+    virtual QCString trPageAbbreviation()
+    { return "s."; }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 0.49-991003
+//////////////////////////////////////////////////////////////////////////
+
+    virtual QCString trDefinedAtLineInSourceFile()
+    {
+      return "Definierat på linje @0 i filen @1.";
+    }
+
+    virtual QCString trDefinedInSourceFile()
+    {
+      return "Definierat i filen @0.";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 0.49-991205
+//////////////////////////////////////////////////////////////////////////
+
+    virtual QCString trDeprecated()
+    {
+      return "Avrådes - fornlämningar"; // ?? - What is the context?
+	  // ***FIXME*** ?? "Avråds" "Utgånget" :) 
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.0.0
+//////////////////////////////////////////////////////////////////////////
+
+    /*! this text is put before a collaboration diagram */
+    virtual QCString trCollaborationDiagram(const char *clName)
+    {
+      return (QCString)"Samarbetsdiagram for "+clName+":";
+    }
+    /*! this text is put before an include dependency graph */
+    virtual QCString trInclDepGraph(const char *fName)
+    {
+      return (QCString)"Inkluderings-beroendegraf för "+fName+":";
+    }
+    /*! header that is put before the list of constructor/destructors. */
+    virtual QCString trConstructorDocumentation()
+    {
+      return "Dokumentation av konstruktorer og destruktorer";
+    }
+    /*! Used in the file documentation to point to the corresponding sources. */
+    virtual QCString trGotoSourceCode()
+    {
+      return "Hopa till denna fils källkod.";
+    }
+    /*! Used in the file sources to point to the corresponding documentation. */
+    virtual QCString trGotoDocumentation()
+    {
+      return "Hopa till denna fils dokumentation.";
+    }
+    /*! Text for the \\pre command */
+    virtual QCString trPrecondition()
+    {
+      return "Förutsättningar (precondition)";
+    }
+    /*! Text for the \\post command */
+    virtual QCString trPostcondition()
+    {
+      return "Resultatkrav (postcondition)";
+    }
+    /*! Text for the \\invariant command */
+    virtual QCString trInvariant()
+    {
+      return "Invariant";
+    }
+    /*! Text shown before a multi-line variable/enum initialization */
+    virtual QCString trInitialValue()
+    { return "Startvärde:"; }
+
+    /*! Text used the source code in the file index */
+    virtual QCString trCode()
+    { return "källkod"; }
+    virtual QCString trGraphicalHierarchy()
+    { return "Grafisk klasshierarki"; }
+    virtual QCString trGotoGraphicalHierarchy()
+    { return "Hopa till den grafiska klasshierarkin"; }
+    virtual QCString trGotoTextualHierarchy()
+    { return "Hopa till den textuella klasshierarki"; } // ***FIXME*** Bad translation
+    virtual QCString trPageIndex()
+    { return "Sidindex"; }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.1.0
+//////////////////////////////////////////////////////////////////////////
+
+    virtual QCString trNote()
+    {
+      return "Notera";
+    }
+    virtual QCString trPublicTypes()
+    {
+      return "Publika typer";
+    }
+    virtual QCString trPublicAttribs()
+    {
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+        return "Datafält";
+      } else {
+        return "Publika attribut";
+      }
+    }
+    virtual QCString trStaticPublicAttribs()
+    {
+      return "Statiska, publika attribut";
+    }
+    virtual QCString trProtectedTypes()
+    {
+      return "Skyddade typer";
+    }
+    virtual QCString trProtectedAttribs()
+    {
+      return "Skyddade attribut";
+    }
+    virtual QCString trStaticProtectedAttribs()
+    {
+      return "Statiska, skyddade attribut";
+    }
+    virtual QCString trPrivateTypes()
+    {
+      return "Privata typer";
+    }
+    virtual QCString trPrivateAttribs()
+    {
+      return "Privata attribut";
+    }
+    virtual QCString trStaticPrivateAttribs()
+    {
+      return "Statiska, privata attribut";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.1.3
+//////////////////////////////////////////////////////////////////////////
+
+    /*! Used as a marker that is put before a \\todo item */
+    virtual QCString trTodo()
+    {
+      return "Todo";
+    }
+    /*! Used as the header of the todo list */
+    virtual QCString trTodoList()
+    {
+      return "Todo-liste";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.1.4
+//////////////////////////////////////////////////////////////////////////
+
+    virtual QCString trReferencedBy()
+    {
+      return "Refereras till av";
+    }
+    virtual QCString trRemarks()
+    {
+      return "Kommentarer"; //***FIXME*** Possibly bad translation
+      // "Noteringar"
+    }
+    virtual QCString trAttention()
+    {
+      return "OBS";
+    }
+    virtual QCString trInclByDepGraph()
+    {
+      return
+	"Denna graf visar, vilka filer som direkt eller "
+	"indirekt inkluderar denna fil:";
+    }
+    virtual QCString trSince()
+    {
+      return "Sidan";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.1.5
+//////////////////////////////////////////////////////////////////////////
+
+    /*! title of the graph legend page */
+    virtual QCString trLegendTitle()
+    {
+      return "Graf-förklaring";
+    }
+    /*! page explaining how the dot graph's should be interpreted
+     *  The %A in the text below are to prevent link to classes called "A".
+     */
+    virtual QCString trLegendDocs()
+    {
+      return
+	"Denne sida forklarar, hur man skall tolka grafer, "
+	"som är genererade av doxygen.<p>\n"
+        "Betänk följande exempel:\n"
+        "\\code\n"
+        "/*! Klassen där är osynlig p.g.a. beskärning */\n"
+        "class Invisible { };\n\n"
+        "/*! Beskuren klass: arvsrelationer är dolda */\n"
+        "class Truncated : public Invisible { };\n\n"
+        "/* Klasse der ikke er dokumenteret med doxygen-kommentarer */\n" // Not translated LATER
+        "class Undocumented { };\n\n"
+        "/*! Klasse der nedarves fra offentligt */\n"
+        "class PublicBase : public Truncated { };\n\n"
+        "/*! En template-klasse */\n"
+        "template<class T> class Templ { };\n\n"
+        "/*! Klasse der nedarves fra beskyttet */\n"
+        "class ProtectedBase { };\n\n"
+        "/*! Klasse der nedarves fra privat */\n"
+        "class PrivateBase { };\n\n"
+        "/*! Klasse der bruges af Inherited-klassen */\n"
+        "class Used { };\n\n"
+        "/*! Klasse der nedarver en masse andre klasser */\n"
+        "class Inherited : public PublicBase,\n"
+        "                  protected ProtectedBase,\n"
+        "                  private PrivateBase,\n"
+        "                  public Undocumented,\n"
+        "                  public Templ<int>\n"
+        "{\n"
+        "  private:\n"
+        "    Used *m_usedClass;\n"
+        "};\n"
+        "\\endcode\n"
+        "Hvis \\c MAX_DOT_GRAPH_HEIGHT i konfigurationsfilen "
+        "er sat til 240, vil dette resultere i følgende graf:"
+        "<p><center><img src=\"graph_legend."+Config_getEnum("DOT_IMAGE_FORMAT")+"\"></center>\n"
+        "<p>\n"
+        "De forskellige slags kasser i ovenstående graf har følgende "
+		"betydninger:\n"
+        "<ul>\n"
+        "<li>%En udfyldt sort kasse repræsenterer den datastruktur eller "
+		"klasse, grafen er genereret for.\n"
+        "<li>%En kasse med sort kant betegner en dokumenteret datastruktur "
+		" eller klasse.\n"
+        "<li>%En kasse med grå kant betegner en udokumenteret datastruktur "
+ 		" eller klasse.\n"
+        "<li>%En kasse med rød kant betegner en dokumenteret datastruktur "
+ 		" eller klasse, for hvilken ikke alle "
+		"nedarvnings- og indeholdelses-relationer er vist. "
+        "%Grafer beskæres, hvis de fylder mere end de specificerede dimensioner.\n "
+        "</ul>\n"
+        "Pilene har følgende betydninger:\n"
+        "<ul>\n"
+        "<li>%En mørkeblå pil viser en offentlig nedarvningsrelation "
+		"mellem to klasser.\n"
+        "<li>%En mørkegrøn pil viser en beskyttet nedarvningsrelation.\n"
+        "<li>%En mørkerød pil viser en privat nedarvningsrelation.\n"
+        "<li>%En lilla, stiplet pil bruges, når en klasse er indeholdt i "
+		"eller benyttes af en anden klasse. "
+        "Ved pilen står navnet på den eller de variable, gennem hvilke(n) "
+		"den klasse, pilen peger på, er tilgængelig.\n"
+        "<li>%En gul, stiplet pil viser forholdet mellem en template-instans "
+		"og den template-klasse, den er instantieret fra."
+        "Ved pilen står template-parametrene brugt ved instantieringen.\n"
+        "</ul>\n";
+    }
+    /*! text for the link to the legend page */
+    virtual QCString trLegend()
+    {
+      return "forklaring til graf";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.0
+//////////////////////////////////////////////////////////////////////////
+
+    /*! Used as a marker that is put before a test item */
+    virtual QCString trTest()
+    {
+      return "Test";
+    }
+    /*! Used as the header of the test list */
+    virtual QCString trTestList()
+    {
+      return "Testlista";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.1
+//////////////////////////////////////////////////////////////////////////
+
+    /*! Used as a section header for KDE-2 IDL methods */
+    virtual QCString trDCOPMethods()
+    {
+      return "DCOP-metoder";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.2
+//////////////////////////////////////////////////////////////////////////
+
+    /*! Used as a section header for IDL properties */
+    virtual QCString trProperties()
+    {
+      return "Egenskaper";
+    }
+    /*! Used as a section header for IDL property documentation */
+    virtual QCString trPropertyDocumentation()
+    {
+      return "Egenskapsdokumentation";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.4
+//////////////////////////////////////////////////////////////////////////
+
+    /*! Used for Java classes in the summary section of Java packages */
+    virtual QCString trClasses()
+    {
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+        return "Datastrukturer";
+      } else {
+        return "Klasser";
+      }
+    }
+    /*! Used as the title of a Java package */
+    virtual QCString trPackage(const char *name)
+    {
+      return (QCString)"Paket "+name;
+    }
+    /*! Title of the package index page */
+    virtual QCString trPackageList()
+    {
+      return "Paketlista";
+    }
+    /*! The description of the package index page */
+    virtual QCString trPackageListDescription()
+    {
+      return
+	"Här är en lista av paket, med korta beskrivningar "
+	"(om en sådan finns):";
+    }
+    /*! The link name in the Quick links header for each page */
+    virtual QCString trPackages()
+    {
+      return "Paket";
+    }
+    /*! Text shown before a multi-line define */
+    virtual QCString trDefineValue()
+    {
+      return "Värde:";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.5
+//////////////////////////////////////////////////////////////////////////
+
+    /*! Used as a marker that is put before a \\bug item */
+    virtual QCString trBug()
+    {
+      return "Känt fel";
+    }
+    /*! Used as the header of the bug list */
+    virtual QCString trBugList()
+    {
+      return "Lista på kända fel";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.6
+//////////////////////////////////////////////////////////////////////////
+
+    /*! Used as ansicpg for RTF file
+     *
+     * The following table shows the correlation of Charset name, Charset Value and
+     * <pre>
+     * Codepage number:
+     * Charset Name       Charset Value(hex)  Codepage number
+     * ------------------------------------------------------
+     * DEFAULT_CHARSET           1 (x01)
+     * SYMBOL_CHARSET            2 (x02)
+     * OEM_CHARSET             255 (xFF)
+     * ANSI_CHARSET              0 (x00)            1252
+     * RUSSIAN_CHARSET         204 (xCC)            1251
+     * EE_CHARSET              238 (xEE)            1250
+     * GREEK_CHARSET           161 (xA1)            1253
+     * TURKISH_CHARSET         162 (xA2)            1254
+     * BALTIC_CHARSET          186 (xBA)            1257
+     * HEBREW_CHARSET          177 (xB1)            1255
+     * ARABIC _CHARSET         178 (xB2)            1256
+     * SHIFTJIS_CHARSET        128 (x80)             932
+     * HANGEUL_CHARSET         129 (x81)             949
+     * GB2313_CHARSET          134 (x86)             936
+     * CHINESEBIG5_CHARSET     136 (x88)             950
+     * </pre>
+     *
+     */
+    virtual QCString trRTFansicp()
+    {
+      return "1252";
+    }
+
+
+    /*! Used as ansicpg for RTF fcharset
+     *  \see trRTFansicp() for a table of possible values.
+     */
+    virtual QCString trRTFCharSet()
+    {
+      return "0";
+    }
+
+    /*! Used as header RTF general index */
+    virtual QCString trRTFGeneralIndex()
+    {
+      return "Index";
+    }
+
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trClass(bool first_capital, bool singular)
+    {
+      return createNoun(first_capital, singular, "klass", "er");
+    }
+
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trFile(bool first_capital, bool singular)
+    {
+      return createNoun(first_capital, singular, "fil", "er");
+    }
+
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trNamespace(bool first_capital, bool singular)
+    {
+      return createNoun(first_capital, singular, "namnrymd", "er");
+    }
+
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trGroup(bool first_capital, bool singular)
+    {
+      return createNoun(first_capital, singular, "grupp", "er");
+    }
+
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trPage(bool first_capital, bool singular)
+    {
+      QCString result((first_capital ? "Sid" : "sid"));
+      if (singular)
+	result+="an";
+      else
+	result+="orna";
+      return result;
+    }
+
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trMember(bool first_capital, bool singular)
+    {
+      return createNoun(first_capital, singular, "medlem", "mar");
+    }
+
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trGlobal(bool first_capital, bool singular)
+    {
+      return createNoun(first_capital, singular, "global", "a");
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.7
+//////////////////////////////////////////////////////////////////////////
+
+    /*! This text is generated when the \\author command is used and
+     *  for the author section in man pages. */
+    virtual QCString trAuthor(bool first_capital, bool singular)
+    {
+      QCString result((first_capital ? "Författar" : "Författar"));
+      if (singular)
+	result+="e";
+      else
+	result+="na";
+      return result;
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.11
+//////////////////////////////////////////////////////////////////////////
+
+    /*! This text is put before the list of members referenced by a member
+     */
+    virtual QCString trReferences()
+    {
+      return "Referenser";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.13
+//////////////////////////////////////////////////////////////////////////
+
+    /*! used in member documentation blocks to produce a list of
+     *  members that are implemented by this one.
+     */
+    virtual QCString trImplementedFromList(int numEntries)
+    {
+      return "Implementerar "+trWriteList(numEntries)+".";
+    }
+
+    /*! used in member documentation blocks to produce a list of
+     *  all members that implement this abstract member.
+     */
+    virtual QCString trImplementedInList(int numEntries)
+    {
+      return "Implementerat i "+trWriteList(numEntries)+".";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.16
+//////////////////////////////////////////////////////////////////////////
+
+    /*! used in RTF documentation as a heading for the Table
+     *  of Contents.
+     */
+    virtual QCString trRTFTableOfContents()
+    {
+      return "Innehållsförteckning";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.17
+//////////////////////////////////////////////////////////////////////////
+
+    /*! Used as the header of the list of item that have been
+     *  flagged deprecated
+     */
+    virtual QCString trDeprecatedList()
+    {
+      return "Liste av fornlämningar, använding avrådes";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.18
+//////////////////////////////////////////////////////////////////////////
+
+    /*! Used as a header for declaration section of the events found in
+     * a C# program
+     */
+    virtual QCString trEvents()
+    {
+      return "Händelser";
+    }
+    /*! Header used for the documentation section of a class' events. */
+    virtual QCString trEventDocumentation()
+    {
+      return "Händelsedokumentation";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.3
+//////////////////////////////////////////////////////////////////////////
+
+    /*! Used as a heading for a list of Java class types with package scope.
+     */
+    virtual QCString trPackageTypes()
+    {
+      return "Typer med paketomfång";
+    }
+    virtual QCString trPackageMembers()
+    {
+      return "Metoder med paketomfång";
+    }
+    virtual QCString trStaticPackageMembers()
+    {
+      return "Statiska metoder med paketomfång";
+    }
+    virtual QCString trPackageAttribs()
+    {
+      return "Attribut med paketomfång";
+    }
+    virtual QCString trStaticPackageAttribs()
+    {
+      return "Statiska attribut med paketomfång";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.3.1
+//////////////////////////////////////////////////////////////////////////
+
+    /*! Used in the quick index of a class/file/namespace member list page
+     *  to link to the unfiltered list of all members.
+     */
+    virtual QCString trAll()
+    {
+      return "Alla";
+    }
+    /*! Put in front of the call graph for a function. */
+    virtual QCString trCallGraph()
+    {
+      return "Här är annrops-grafen för denna funktion:";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.3.3
+//////////////////////////////////////////////////////////////////////////
+
+    /*! When the search engine is enabled this text is put in the header
+     *  of each page before the field where one can enter the text to search
+     *  for.
+     */
+    virtual QCString trSearchForIndex()
+    {
+      return "Sök efter";
+    }
+    /*! This string is used as the title for the page listing the search
+     *  results.
+     */
+    virtual QCString trSearchResultsTitle()
+    {
+      return "Sökresultat";
+    }
+    /*! This string is put just before listing the search results. The
+     *  text can be different depending on the number of documents found.
+     *  Inside the text you can put the special marker $num to insert
+     *  the number representing the actual number of search results.
+     *  The @a numDocuments parameter can be either 0, 1 or 2, where the
+     *  value 2 represents 2 or more matches. HTML markup is allowed inside
+     *  the returned string.
+     */
+    virtual QCString trSearchResults(int numDocuments)
+    {
+      if (numDocuments==0) {
+        return "Beklagar - ingen dokumentation passade ditt sökkriterium.";
+      } else if (numDocuments==1) {
+        return "Hittade <b>1</b> dokument, stämde på ditt sökkriterium.";
+      } else {
+        return
+	  "Hittade <b>$num</b> dokument, stämde på ditt sökkriterium. "
+	  "De bäst passande vises först.";
+      }
+    }
+    /*! This string is put before the list of matched words, for each search
+     *  result. What follows is the list of words that matched the query.
+     */
+    virtual QCString trSearchMatches()
+    {
+      return "Hittade ord:"; //translation?
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.3.8
+//////////////////////////////////////////////////////////////////////////
+
+    /*! This is used in HTML as the title of page with source code for file filename
+     */
+    virtual QCString trSourceFile(QCString& filename)
+    {
+      return "Källkodsfilen " + filename;
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.3.9
+//////////////////////////////////////////////////////////////////////////
+
+    /*! This is used as the name of the chapter containing the directory
+     *  hierarchy.
+     */
+    virtual QCString trDirIndex()
+    { return "Katalogstruktur"; }
+
+    /*! This is used as the name of the chapter containing the documentation
+     *  of the directories.
+     */
+    virtual QCString trDirDocumentation()
+    { return "Katalog-dokumentation"; }
+
+    /*! This is used as the title of the directory index and also in the
+     *  Quick links of an HTML page, to link to the directory hierarchy.
+     */
+    virtual QCString trDirectories()
+    { return "Kataloger"; }
+
+    /*! This returns a sentences that introduces the directory hierarchy.
+     *  and the fact that it is sorted alphabetically per level
+     */
+    virtual QCString trDirDescription()
+    { return "Denne katalogstruktur är sorteret nästen - "
+             "men ikke nødvendigvis helt - alfabetisk:";
+    }
+
+    /*! This returns the title of a directory page. The name of the
+     *  directory is passed via \a dirName.
+     */
+    virtual QCString trDirReference(const char *dirName)
+    { QCString result="Innehållet av katalogen "; result+=dirName; return result;}
+
+    /*! This returns the word directory with or without starting capital
+     *  (\a first_capital) and in sigular or plural form (\a singular).
+     */
+    virtual QCString trDir(bool first_capital, bool singular)
+    {
+      return createNoun(first_capital, singular, "katalog", "er");
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.4.1
+//////////////////////////////////////////////////////////////////////////
+
+    /*! This text is added to the documentation when the \\overload command
+     *  is used for a overloaded function.
+     */
+    virtual QCString trOverloadText()
+    {
+       return "Detta är en överlagrad medlemsfunktion, "
+              "definierad för bekvämlighetshänsyn. "
+	      "Den skiljer sig från från den ovanstående funktionen "
+	      "bara i vilka argument den tar.";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.4.6
+//////////////////////////////////////////////////////////////////////////
+
+    /*! This is used to introduce a caller (or called-by) graph */
+    virtual QCString trCallerGraph()
+    {
+      return "Här är katalog-grafen för denna funktion:";
+    }
+
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for enumeration values
+     */
+    virtual QCString trEnumerationValueDocumentation()
+    {
+      return "Uppräknings-dokumentation";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.5.4 (mainly for Fortran)
+//////////////////////////////////////////////////////////////////////////
+
+    /*! header that is put before the list of member subprograms (Fortran). */
+    virtual QCString trMemberFunctionDocumentationFortran()
+    { return "Memlems-function/Subroutins Dokumentation"; }
+
+    /*! This is put above each page as a link to the list of annotated data types (Fortran). */
+    virtual QCString trCompoundListFortran()
+    { return "Datatyplista"; }
+
+    /*! This is put above each page as a link to all members of compounds (Fortran). */
+    virtual QCString trCompoundMembersFortran()
+    { return "Data fält"; }
+
+    /*! This is an introduction to the annotated compound list (Fortran). */
+    virtual QCString trCompoundListDescriptionFortran()
+    { return "Här är datatyperna med en kort beskrivning:"; }
+
+    /*! This is an introduction to the page with all data types (Fortran). */
+    virtual QCString trCompoundMembersDescriptionFortran(bool extractAll)
+    {
+      QCString result="Här är en lista av alla ";
+      if (!extractAll)
+      {
+        result+="dokumenterade ";
+      }
+      result+="datatyps medlemmar";
+      result+=" med länkar till ";
+      if (!extractAll)
+      {
+         result+="datastrukturs documentation för varje medlem";
+      }
+      else
+      {
+         result+="klasserna de hör till:";
+      }
+      return result;
+    }
+
+    /*! This is used in LaTeX as the title of the chapter with the
+     * annotated compound index (Fortran).
+     */
+    virtual QCString trCompoundIndexFortran()
+    { return "Datatyps Index"; }
+
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all data types (Fortran).
+     */
+    virtual QCString trTypeDocumentation()
+    { return "Dataryps Dokumentation"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of (global) subprograms (Fortran).
+     */
+    virtual QCString trSubprograms()
+    { return "Funktions/Subroutins"; }
+
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for subprograms (Fortran)
+     */
+    virtual QCString trSubprogramDocumentation()
+    { return "Funktion/Subroutin Dokumentation"; }
+
+    /*! This is used in the documentation of a file/namespace/group before
+     *  the list of links to documented compounds (Fortran)
+     */
+     virtual QCString trDataTypes()
+    { return "Datatyper"; }
+
+    /*! used as the title of page containing all the index of all modules (Fortran). */
+    virtual QCString trModulesList()
+    { return "Modullista"; }
+
+    /*! used as an introduction to the modules list (Fortran) */
+    virtual QCString trModulesListDescription(bool extractAll)
+    {
+      QCString result="Här är en lista på alla ";
+      if (!extractAll) result+="dokumenterade ";
+      result+="moduler med en kort beskrivning:";
+      return result;
+    }
+
+    /*! used as the title of the HTML page of a module/type (Fortran) */
+    virtual QCString trCompoundReferenceFortran(const char *clName,
+                                    ClassDef::CompoundType compType,
+                                    bool isTemplate)
+    {
+      QCString result=(QCString)clName;
+      switch(compType)
+      {
+        case ClassDef::Class:      result+=" Modul"; break;
+        case ClassDef::Struct:     result+=" Typ"; break;
+        case ClassDef::Union:      result+=" Union"; break;
+        case ClassDef::Interface:  result+=" Gränssnitt"; break;
+        case ClassDef::Protocol:   result+=" Protokoll"; break;
+        case ClassDef::Category:   result+=" Kategori"; break;
+        case ClassDef::Exception:  result+=" Undantag"; break;
+      }
+      if (isTemplate) result+=" Mall";
+      result+=" Referens";
+      return result;
+    }
+    /*! used as the title of the HTML page of a module (Fortran) */
+    virtual QCString trModuleReference(const char *namespaceName)
+    {
+      QCString result=namespaceName;
+      result+=" Modul Referens";
+      return result;
+    }
+
+    /*! This is put above each page as a link to all members of modules. (Fortran) */
+    virtual QCString trModulesMembers()
+    { return "Modul Medlemmar"; }
+
+    /*! This is an introduction to the page with all modules members (Fortran) */
+    virtual QCString trModulesMemberDescription(bool extractAll)
+    {
+      QCString result="Här är en lista på alla ";
+      if (!extractAll) result+="documented ";
+      result+="modul medlemmar med länkar till ";
+      if (extractAll)
+      {
+        result+="modul dokumentationen för varje medlem:";
+      }
+      else
+      {
+        result+="modulerna de hör till:";
+      }
+      return result;
+    }
+
+    /*! This is used in LaTeX as the title of the chapter with the
+     *  index of all modules (Fortran).
+     */
+    virtual QCString trModulesIndex()
+    { return "Modul Index"; }
+
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trModule(bool first_capital, bool singular)
+    {
+      return createNoun(first_capital, singular, "modul", "er");
+    }
+    /*! This is put at the bottom of a module documentation page and is
+     *  followed by a list of files that were used to generate the page.
+     */
+    virtual QCString trGeneratedFromFilesFortran(ClassDef::CompoundType compType,
+        bool single)
+    {
+      // single is true implies a single file
+      QCString result=(QCString)"Dokumentationen för denna ";
+      switch(compType)
+      {
+        case ClassDef::Class:      result+="modul"; break;
+        case ClassDef::Struct:     result+="typ"; break;
+        case ClassDef::Union:      result+="union"; break;
+        case ClassDef::Interface:  result+="gränssnitt"; break;
+        case ClassDef::Protocol:   result+="protokoll"; break;
+        case ClassDef::Category:   result+="kategori"; break;
+        case ClassDef::Exception:  result+="undantag"; break;
+      }
+      result+=" genererades från följade file";
+      if (single) result+=":"; else result+="er:";
+      return result;
+    }
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trType(bool first_capital, bool singular)
+    {
+      QCString result((first_capital ? "Typ" : "typ"));
+      if (!singular)  result+="er";
+      return result;
+    }
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trSubprogram(bool first_capital, bool singular)
+    {
+      QCString result((first_capital ? "Subprogram" : "subprogram"));
+      return result;
+    }
+
+    /*! C# Type Constraint list */
+    virtual QCString trTypeConstraints()
+    {
+      return "Typbegränsningar";
+    }
+
+/*---------- For internal use: ----------------------------------------*/
+  protected:
+    /*! For easy flexible-noun implementation.
+     *  \internal
+     */
+    QCString createNoun(bool first_capital, bool singular,
+			const char* base, const char* plurSuffix)
+    {
+      QCString result(base);
+      if (first_capital) result.at(0) = toupper(result.at(0));
+      if (!singular)  result+=plurSuffix;
+      return result;
+    }
+};
+
+#endif
